# _HashmapInfo Struct Reference

## Data Fields

size_t(* | hash )(const void *)
MagickBooleanType(* | compare )(const void *, const void *)
void *(* | relinquish_key )(void *)
void *(*)*(* | relinquish_value )(void *)
unsigned long | capacity
unsigned long | entries
unsigned long | next
MagickBooleanType | head_of_list
LinkedListInfo ** | map
MagickBooleanType | debug
SemaphoreInfo * | semaphore
unsigned long | signature

## Field Documentation

size_t(* _HashmapInfo::hash)(const void *)

MagickBooleanType(* _HashmapInfo::compare)(const void *, const void *)

void*(* _HashmapInfo::relinquish_key)(void *)

void*(*) *(* _HashmapInfo::relinquish_value)(void *)

unsigned long _HashmapInfo::capacity

unsigned long _HashmapInfo::entries

unsigned long _HashmapInfo::next

MagickBooleanType _HashmapInfo::head_of_list

LinkedListInfo** _HashmapInfo::map

MagickBooleanType _HashmapInfo::debug

SemaphoreInfo* _HashmapInfo::semaphore

unsigned long _HashmapInfo::signature

The documentation for this struct was generated from the following file:

- hashmap.c